<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
?>

<?php

////header ('Content-type: text/html; charset=utf8');
$codigousu=escapar($_POST['txtcod_usu'],'int'); // CODIGO DEL USUARIO
$codigofor=$_POST['codigofor']; //para saber el nivel del formulario array los codigos separados por punto
$ideform=$_POST['txtidefor'];
$valper=$_POST['txtvalper']; //trae el codigo del permiso
//$tipact=$_POST['txttipact'];


$numg=0;
$sql_elimina="DELETE FROM conf_permisos WHERE ide_usuario=".$codigousu;
//echo $sql_elimina;
$academia->instruccion($sql_elimina);
$error=0;
for($i=0; $i<count($ideform); $i++){
	$codfor=$codigofor[$i];
	$id_for=$ideform[$i];
	$numper=$valper[$i]; // cogemos el permiso para el formulario
	if($numper>2){
		$sql= "CALL SP_NEW_PERMISO($codigousu,'$codfor',$numper);";
		//echo $sql."<br>";
		$academia->instruccion($sql);
		if($academia->extraer_error()>0)
			$error++;
	}
}
$academia->cerrar();

echo $error;

?>